' ********************************************************************
' Example1:
'    One-way client/server communication
'    First start server.vbs on server, then start client.vbs on client
' Note:
'    Substitute 127.0.0.1 in Connect function on client if server process is running 
'    on another machine.
' ********************************************************************

' Constants: Connection states
Const asCONN_DISCONNECTED=1
Const asCONN_LISTENING=2
Const asCONN_CONNECTED=3

' Constants: Error codes
Const asERR_SUCCESS=0

' Constants: Protocols
Const asPROTOCOL_RAW=1
Const asPROTOCOL_TELNET=2

' Create a socket instance
Set asObj = CreateObject("ActivXperts.Socket")
asObj.Protocol = asPROTOCOL_RAW

' Write some information to console
WScript.Echo "ActivSocket " & asObj.Version & " demo."
WScript.Echo "Expiration date: " & asObj.ExpirationDate & vbCrLf

' Make a connection to port 1500 on remote server
asObj.Connect "127.0.0.1", 1500
WScript.Echo "Connect: result = " & asObj.LastError
If asObj.LastError = 11001 Then
    WScript.Echo "Error 11001: Specify a valid hostname-parameter in the Connect-method."
End If
If asObj.LastError = asERR_SUCCESS Then

    ' YES, we established a connection

    WScript.Echo "Connection established" & vbCrLf

    ' Send some strings now

    asObj.SendData "This is just a message"
    WScript.Echo "SendData: result = " & asObj.LastError
    asObj.Sleep 3000

    asObj.SendData "And this is another message"
    WScript.Echo "SendData: result = " & asObj.LastError
    asObj.Sleep 3000

    asObj.SendData "Quit"
    WScript.Echo "SendData: result = " & asObj.LastError
    asObj.Sleep 3000

    ' And finally, disconnect
    asObj.Disconnect
End If
